Bug 50885 - changing the name of a connection deactivates the connection and causes a traceback on neat shutdown
Summary: changing the name of a connection deactivates the connection and causes a tra...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-04 14:15 UTC by Panic
Modified: 2015-03-05 01:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 22:48:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Panic 2001-08-04 14:15:05 UTC
Description of Problem:

changing the name of a connection (i.e., eth0 to something else like
"test") "deactivates" the interface and causes a traceback on neat shutdown:

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in
__call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 309, in on_okButton_clicked
    self.save()
  File "/usr/sbin/neat", line 215, in save
    self.saveProfiles()
  File "/usr/sbin/neat", line 227, in saveProfiles
    profilelist.save()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 200, in save
    print 'Darn, symlinking device '+devName+','+devId+' failed...'
NameError: devName

It's failing to print the error. :)

How Reproducible:

Always (tested twice)

Steps to Reproduce:
1. set up a network configuration with neat, name it something
2. go back into neat and change the configuration name to something else
3. Note that the interface is deactivated immediately, and that neat
tracebacks on exit.

Actual Results:

deactivation of configuration, traceback on exit (configuration is not set
up and is non-functional).

Expected Results:

the configuration name should just be changed -- nothing else should be
affected, and the new scripts should be written on exit (at least)

Additional Information:

Comment 1 Trond Eivind Glomsrxd 2001-08-05 19:45:03 UTC
Needs fixing.

Comment 2 Glen Foster 2001-08-06 22:48:00 UTC
This defect is considered MUST-FIX for Fairfax

Comment 3 Phil Knirsch 2001-08-16 12:29:59 UTC
Fixed in CVS (0.7.3-2)

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.